<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Sat May 11 20:28:16 CEST 2019 -->
<title>Field</title>
<meta name="date" content="2019-05-11">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Field";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../app/board/Board.html" title="class in app.board"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../app/board/Field.Direction.html" title="enum in app.board"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?app/board/Field.html" target="_top">Frames</a></li>
<li><a href="Field.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">app.board</div>
<h2 title="Class Field" class="title">Class Field</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>app.board.Field</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Field</span>
extends java.lang.Object</pre>
<div class="block">Represents a field on chess board.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Jana Balkovicova, Radek Bednar</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/board/Field.Direction.html" title="enum in app.board">Field.Direction</a></span></code>
<div class="block">Defines Moore neighbourhood directions.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/board/Field.html#WHITE">WHITE</a></span></code>
<div class="block">Boolean value representing the white field.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../app/board/Field.html#Field-int-int-boolean-">Field</a></span>(int&nbsp;row,
     int&nbsp;column,
     boolean&nbsp;color)</code>
<div class="block">Creates new field with specified position, color and prepare its neighbourhood array.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/board/Field.html#getColor--">getColor</a></span>()</code>
<div class="block">Returns color of the field.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>char</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/board/Field.html#getColumnLetter--">getColumnLetter</a></span>()</code>
<div class="block">Returns column of the field.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../app/pieces/Piece.html" title="class in app.pieces">Piece</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/board/Field.html#getPiece--">getPiece</a></span>()</code>
<div class="block">Returns piece from the field.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/board/Field.html#getRow--">getRow</a></span>()</code>
<div class="block">Returns row of the field.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../app/board/Field.html" title="class in app.board">Field</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/board/Field.html#nextField-app.board.Field.Direction-">nextField</a></span>(<a href="../../app/board/Field.Direction.html" title="enum in app.board">Field.Direction</a>&nbsp;direction)</code>
<div class="block">Returns neighbour field in specified direction.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/board/Field.html#setPiece-app.pieces.Piece-">setPiece</a></span>(<a href="../../app/pieces/Piece.html" title="class in app.pieces">Piece</a>&nbsp;piece)</code>
<div class="block">Sets piece to the field and field to the piece.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../app/board/Field.html#toString--">toString</a></span>()</code>
<div class="block">Changes string representation of the field so it can be printed onto GUI board.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="WHITE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>WHITE</h4>
<pre>public static final&nbsp;boolean WHITE</pre>
<div class="block">Boolean value representing the white field.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#app.board.Field.WHITE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Field-int-int-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Field</h4>
<pre>public&nbsp;Field(int&nbsp;row,
             int&nbsp;column,
             boolean&nbsp;color)</pre>
<div class="block">Creates new field with specified position, color and prepare its neighbourhood array.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>row</code> - number of row to be assigned with the field</dd>
<dd><code>column</code> - number of column to be assigned with the field</dd>
<dd><code>color</code> - true, if the field would be white</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="nextField-app.board.Field.Direction-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nextField</h4>
<pre>public&nbsp;<a href="../../app/board/Field.html" title="class in app.board">Field</a>&nbsp;nextField(<a href="../../app/board/Field.Direction.html" title="enum in app.board">Field.Direction</a>&nbsp;direction)</pre>
<div class="block">Returns neighbour field in specified direction.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>direction</code> - direction in field neighbourhood</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>field from neighbourhood in specified direction</dd>
</dl>
</li>
</ul>
<a name="getColor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getColor</h4>
<pre>public&nbsp;boolean&nbsp;getColor()</pre>
<div class="block">Returns color of the field.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if the color is white</dd>
</dl>
</li>
</ul>
<a name="getRow--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRow</h4>
<pre>public&nbsp;int&nbsp;getRow()</pre>
<div class="block">Returns row of the field.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>number of field row</dd>
</dl>
</li>
</ul>
<a name="getColumnLetter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getColumnLetter</h4>
<pre>public&nbsp;char&nbsp;getColumnLetter()</pre>
<div class="block">Returns column of the field.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>character of the field column</dd>
</dl>
</li>
</ul>
<a name="getPiece--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPiece</h4>
<pre>public&nbsp;<a href="../../app/pieces/Piece.html" title="class in app.pieces">Piece</a>&nbsp;getPiece()</pre>
<div class="block">Returns piece from the field.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>piece that is put on the field, null if the field is empty</dd>
</dl>
</li>
</ul>
<a name="setPiece-app.pieces.Piece-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPiece</h4>
<pre>public&nbsp;void&nbsp;setPiece(<a href="../../app/pieces/Piece.html" title="class in app.pieces">Piece</a>&nbsp;piece)</pre>
<div class="block">Sets piece to the field and field to the piece.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>piece</code> - specified piece to be put on the field, or null to remove the piece from field</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<div class="block">Changes string representation of the field so it can be printed onto GUI board.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>string representation of the field position</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../app/board/Board.html" title="class in app.board"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../app/board/Field.Direction.html" title="enum in app.board"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?app/board/Field.html" target="_top">Frames</a></li>
<li><a href="Field.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
